| ## g_rmsdist Main Table of Contents | VERSION 4.5-beta4-2010-08-26 09:43:57 +0200-33da7ba-dirty Thu 26 Aug 2010

### Description

g_rmsdist computes the root mean square deviation of atom distances, which has the advantage that no fit is needed like in standard RMS deviation as computed by g_rms. The reference structure is taken from the structure file. The rmsd at time t is calculated as the rms of the differences in distance between atom-pairs in the reference structure and the structure at time t.

g_rmsdist can also produce matrices of the rms distances, rms distances scaled with the mean distance and the mean distances and matrices with NMR averaged distances (1/r^3 and 1/r^6 averaging). Finally, lists of atom pairs with 1/r^3 and 1/r^6 averaged distance below the maximum distance (`-max`, which will default to 0.6 in this case) can be generated, by default averaging over equivalent hydrogens (all triplets of hydrogens named *[123]). Additionally a list of equivalent atoms can be supplied (`-equiv`), each line containing a set of equivalent atoms specified as residue number and name and atom name; e.g.:

`3 SER HB1 3 SER HB2`

Residue and atom names must exactly match those in the structure file, including case. Specifying non-sequential atoms is undefined.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `traj.xtc` | Input | Trajectory: xtc trr trj gro g96 pdb cpt
`-s` | `topol.tpr` | Input | Structure+mass(db): tpr tpb tpa gro g96 pdb
`-n` | `index.ndx` | Input, Opt. | Index file
`-equiv` | `equiv.dat` | Input, Opt. | Generic data file
`-o` | `distrmsd.xvg` | Output | xvgr/xmgr file
`-rms` | `rmsdist.xpm` | Output, Opt. | X PixMap compatible matrix file
`-scl` | `rmsscale.xpm` | Output, Opt. | X PixMap compatible matrix file
`-mean` | `rmsmean.xpm` | Output, Opt. | X PixMap compatible matrix file
`-nmr3` | `nmr3.xpm` | Output, Opt. | X PixMap compatible matrix file
`-nmr6` | `nmr6.xpm` | Output, Opt. | X PixMap compatible matrix file
`-noe` | `noe.dat` | Output, Opt. | Generic data file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | gmx_bool | `no` | Print help info and quit
`-[no]version` | gmx_bool | `no` | Print version info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `0` | First frame (ps) to read from trajectory
`-e` | time | `0` | Last frame (ps) to read from trajectory
`-dt` | time | `0` | Only use frame when t MOD dt = first time (ps)
`-[no]w` | gmx_bool | `no` | View output xvg, xpm, eps and pdb files
`-xvg` | enum | `xmgrace` | xvg plot formatting: `xmgrace`, `xmgr` or `none`
`-nlevels` | int | `40` | Discretize rms in # levels
`-max` | real | `-1` | Maximum level in matrices
`-[no]sumh` | gmx_bool | `yes` | average distance over equivalent hydrogens
`-[no]pbc` | gmx_bool | `yes` | Use periodic boundary conditions when computing distances

http://www.gromacs.org
gromacs@gromacs.org